Bug 120400 - can't setup user mountable cifs shares
can't setup user mountable cifs shares
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 09:34 EDT by massimo
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 13:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description massimo 2004-04-08 09:34:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040319 Epiphany/1.2.1

Description of problem:
I've configured in /etc/fstab a line like this:

//192.168.0.1/inetpub /mnt/net cifs
noauto,username=xxxxxx,pass=xxxxxx,uid=500,gid=100     0 0

and from root I can 'mount /mnt/net' without problems, but if I try to
add 'user' to the options to be able to mount from a regular user, I
receive the error 'invalid or missing username' when I do 'mount /mnt/net'

looks a lot like it misinterpret the 'user' option as as the username
specification


Version-Release number of selected component (if applicable):
samba-client-3.0.3-1.pre1

How reproducible:
Always

Steps to Reproduce:
1. setup a cifs share in fstab with the option 'user'
2. do 'mount <mountpoint>'

    

Additional info:

kernel-2.6.4-1.305
Comment 1 Richard Hughes 2004-05-17 11:47:22 EDT
I have talked to Steven French about this problem, and he has updated
mount.cifs to allow user mounting.

Email from Steve:
... I changed it so it now ignores "user" when specified with no
value (which mount took to mean user mount) because the mount tool can
insert that in the mount options in the example that Richard mentioned...

A svn pull of SAMBA_3_0 should work - this has the newest (and
working) mount.cifs.c code.
Comment 2 Richard Hughes 2004-09-19 09:09:09 EDT
Update:
Latest rawhide includes updated /sbin/mount.cifs
Update "samba-client" from rawhide to fix problem. 
Comment 3 Richard Hughes 2004-09-19 09:11:35 EDT
Nearly forgot. You'll need to do a # chmod +s /sbin/mount.cifs to make
the file setuid. This bug can be closed now. 
Comment 4 Bastien Nocera 2004-12-17 05:51:44 EST
I'll keep this bug opened. Normal users can't mount cifs shares if
/sbin/mount.cifs isn't setuid root.
Jay, is there any reason why mount.cifs isn't setuid?
Comment 5 arch harris 2006-06-15 17:35:39 EDT
This problem (still?) exists in RH Enterprise WS 4.  The version number returned
by mount.cifs is 1.5.
Comment 6 Matthew Miller 2006-07-10 18:40:37 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-29 16:24:27 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are only supported by Fedora Legacy for security fixes.  If this is a
security issue, please assign to Fedora Legacy.  Otherwise, please retest with
FC5 or FC6, and if it still occurs, please reopen and assign to the correct
version.  Many changes have occurred since this bug was first filed and it may
be fixed in a more recent version.  We apologize for not fixing this bug
earlier.  Thanks!
Comment 8 Bastien Nocera 2006-10-29 17:42:38 EST
Reopening, still current with FC6.(In reply to comment #5)

> This problem (still?) exists in RH Enterprise WS 4.  The version number returned
> by mount.cifs is 1.5.

Arch, please file a bug directly against RHEL4 if this is still a problem, or
better, open a support request.
Comment 9 Simo Sorce 2007-10-19 21:15:47 EDT
Should be ok in F-7/F-8 can you confirm?
Comment 10 Simo Sorce 2007-10-29 13:39:20 EDT
Had no reply to the last question, I assume it is fixed.
closing.

Note You need to log in before you can comment on or make changes to this bug.